import { GraphQLOptions } from 'graphql-server-core';
import { IRabbitMqConnectionConfig } from "rokot-mq-rabbit";
import { Logger } from 'bunyan';
export interface GrapQLAmqpOptions extends GraphQLOptions {
    config?: IRabbitMqConnectionConfig;
    logger?: Logger;
}
export declare class AMQPSubscription {
    constructor(options: GrapQLAmqpOptions);
    listenToQueries(cb?: Function): Promise<any>;
    unsubscribe(): void;
    private onMessage(queryOptions);
    private listener;
    private logger;
    private graphqlOptions;
    private GRAPHQL_QUEUENAME;
    private unsubscribeChannel;
}
